Security
cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrading SecureShell breaks SSH

 
marvin51796
Regular Advisor

Upgrading SecureShell breaks SSH

I was told by a vendor that i must upgrade my SecureShell  to version 7.3 and OpenSSL to the latest version, but when i install SecureShell all of SSH function stops. I downloaded the depot from HPE, I am running 11vi3 on a BL860c patched with QPK2016. 

Any Help would be appreciated, thanks

 

7 REPLIES 7
Bill Hassell
Honored Contributor

Re: Upgrading SecureShell breaks SSH

HP only supplies Secure Shell 7.03.003
(https://h20392.www2.hpe.com/portal/swdepot/displayProductInfo.do?productNumber=T1471AA)

and Open SSL is 1.0.2
(https://community.hpe.com/t5/forums/replypage/board-id/itrc-155/message-id/19727)

Where did you obtain the new products?
A lot of open source packges are available but may not follow HP standards for installation trees.

>> SSH function stops...

Can you provide the error messages and the commands you used?
Does it fail for sftp? scp? ssh?
What do you see in syslog.log?
Have you run ssh -vvv to another system to trace the negotiation?



Bill Hassell, sysadmin
marvin51796
Regular Advisor

Re: Upgrading SecureShell breaks SSH

I got both patches from HPE ,but i only installed the SecureShell  depot. The catch to this is it works fine on my test box, but i dont know what to look at to find out why it is breaking the producation server.

Thanks

 

marvin51796
Regular Advisor

Re: Upgrading SecureShell breaks SSH

I also found out that there is FIPS_OPENSSL loaded on the producation boxes and NOT in the test boxes..I am not sure what this is or why its loaded.

 

Charles2018
Occasional Visitor

Re: Upgrading SecureShell breaks SSH

I want to get the SecureShell  to version 7.3 and OpenSSL to the latest version,  I downloaded the SecureShell depot from HPE,  but not downloaded Openssl depot yet ,   I am running 11vi1 on a  hp RP7420,.

Any Help would be appreciated, thanks

Bill Hassell
Honored Contributor

Re: Upgrading SecureShell breaks SSH

You will need OpenSSL as SSH depends on it.



Bill Hassell, sysadmin
H.Merijn Brand (procura
Honored Contributor

Re: Upgrading SecureShell breaks SSH

You can find OpenSSL 1.0.2n and OpenSSH 7.6p1 depots for HP-UX 11.31 (11iv3) on my site.

Enjoy, Have FUN! H.Merijn
Highlighted
H.Merijn Brand (procura
Honored Contributor

Re: Upgrading SecureShell breaks SSH

You can find OpenSSL 1.0.2n and OpenSSH 7.6p1 for HP-UX 11.11 PA-RISC2 on my site

Enjoy, Have FUN! H.Merijn